﻿@page
@model TSPS.Pages.GrievanceDetailsModel
@{
    ViewData["Title"] = "GrievanceDetails";
    Layout = "~/Pages/Shared/_Layout.cshtml";
}
<head>
    <style>
        thead input {
            width: 100%;
        }
    </style>
        @*<style>
            table.dataTable thead .sorting:after,
            table.dataTable thead .sorting:before,
            table.dataTable thead .sorting_asc:after,
            table.dataTable thead .sorting_asc:before,
            table.dataTable thead .sorting_asc_disabled:after,
            table.dataTable thead .sorting_asc_disabled:before,
            table.dataTable thead .sorting_desc:after,
            table.dataTable thead .sorting_desc:before,
            table.dataTable thead .sorting_desc_disabled:after,
            table.dataTable thead .sorting_desc_disabled:before {
                bottom: .5em;
            }
        </style>*@

    </head>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/fixedheader/3.1.7/js/dataTables.fixedHeader.min.js"></script>
<body>
    <h1> Search_Grievance</h1>
    <div>
        @*<table style="width:50%">
            <tr>
                <td><label>Select Grievance</label></td>
                <td><input id="Text1" type="text" /></td>
                <td><button onclick="showResults()">Search</button></td>
            </tr>
            </table>*@

        <table id="tblGrievance" class="table table-sm">
            <thead>
                <tr>
                    <th class="th-sm">Grievance ID</th>
                    <th class="th-sm">Description</th>
                    <th class="th-sm">Submitted by</th>
                    <th class="th-sm">Submitted Date</th>
                    <th class="th-sm">Last updated on</th>
                    <th class="th-sm">Status</th>
                    <th class="th-sm">Comments</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView"> 23123123</a></td>
                    <td>Roads not proper in Hyd</td>
                    <td>Ram</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with RDO</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView">443333</a></td>
                    <td>Electricity problem</td>
                    <td>Aron</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with RDO</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView">443333</a></td>
                    <td>Water problem</td>
                    <td>Raghu</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with Thasildar</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView">443333</a></td>
                    <td>Sanitation issues in Hitex</td>
                    <td>Aron</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with RDO</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div id="modalTransfer" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <table>
                        <tr>
                            <td>
                                Grievance ID:
                            </td>
                            <td>
                                23123123
                            </td>
                        </tr>
                        <tr>
                            <td>Description: </td>
                            <td>Roads not proper in Hyd</td>
                        </tr>
                        <tr>
                            <td>Submitted by: </td>
                            <td>Ram</td>
                        </tr>
                        <tr>
                            <td>Submitted Date: </td>
                            <td>22/2/2020</td>
                        </tr>
                        <tr>
                            <td>Last updated on: </td>
                            <td>8/8/2020</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Status: </td>
                            <td>Pending with RDO</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Transfer to: </td>
                            <td>
                                <select id="Select1">
                                    <option> --Select-- </option>
                                    <option>Thasildar 1</option>
                                    <option>Thasildar 2</option>
                                    <option>Thasildar 3</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Comments: </td>
                            <td>
                                <textarea id="TextArea1" rows="2" cols="20"></textarea>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
                </div>
            </div>
        </div>
    </div>
    <div id="modalEscalate" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <table>
                        <tr>
                            <td>
                                Grievance ID:
                            </td>
                            <td>
                                23123123
                            </td>
                        </tr>
                        <tr>
                            <td>Description: </td>
                            <td>Roads not proper in Hyd</td>
                        </tr>
                        <tr>
                            <td>Submitted by: </td>
                            <td>Ram</td>
                        </tr>
                        <tr>
                            <td>Submitted Date: </td>
                            <td>22/2/2020</td>
                        </tr>
                        <tr>
                            <td>Last updated on: </td>
                            <td>8/8/2020</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Status: </td>
                            <td>Pending with RDO</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Escalate to: </td>
                            <td>
                                <select id="Select1">
                                    <option> --Select-- </option>
                                    <option>RDO</option>
                                    <option>District Collector</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Comments: </td>
                            <td>
                                <textarea id="TextArea1" rows="2" cols="20"></textarea>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
                </div>
            </div>
        </div>
    </div>
    <div id="modalUpdate" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="text-align-last: center">Update Grievance</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <table>
                        <tr>
                            <td>
                                Grievance ID:
                            </td>
                            <td>
                                23123123
                            </td>
                        </tr>
                        <tr>
                            <td>Description: </td>
                            <td>Roads not proper in Hyd</td>
                        </tr>
                        <tr>
                            <td>Submitted by: </td>
                            <td>Ram</td>
                        </tr>
                        <tr>
                            <td>Submitted Date: </td>
                            <td>22/2/2020</td>
                        </tr>
                        <tr>
                            <td>Last updated on: </td>
                            <td>8/8/2020</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Status: </td>
                            <td>
                                <select id="Select1">
                                    <option> --Select-- </option>
                                    <option>Close</option>
                                    <option>Reject</option>
                                    <option selected>In Progress</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Comments: </td>
                            <td>
                                <textarea id="TextArea1" rows="2" cols="20"></textarea>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
                </div>
            </div>
        </div>
    </div>
    <div id="modalView" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <table>
                        <tr>
                            <td>
                                Grievance ID:
                            </td>
                            <td>
                                23123123
                            </td>
                        </tr>
                        <tr>
                            <td>Description: </td>
                            <td>Roads not proper in Hyd</td>
                        </tr>
                        <tr>
                            <td>Submitted by: </td>
                            <td>Ram</td>
                        </tr>
                        <tr>
                            <td>Submitted Date: </td>
                            <td>22/2/2020</td>
                        </tr>
                        <tr>
                            <td>Last updated on: </td>
                            <td>8/8/2020</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Status: </td>
                            <td>Pending with RDO</td>
                            <td> </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Comments: </td>
                            <td>not enough details</td>
                        </tr>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

</body>

<script type="text/javascript">
    //$(document).ready(function () {
    //    $('#tblGrievance').DataTable();
    //    $('.dataTables_length').addClass('bs-select');
    //});
    $(document).ready(function () {
        // Setup - add a text input to each footer cell
        $('#tblGrievance thead tr').clone(true).appendTo('#tblGrievance thead');
        $('#tblGrievance thead tr:eq(1) th').each(function (i) {
            var title = $(this).text();
            $(this).html('<input type="text" placeholder="Search ' + title + '" />');

            $('input', this).on('keyup change', function () {
                if (table.column(i).search() !== this.value) {
                    table
                        .column(i)
                        .search(this.value)
                        .draw();
                }
            });
        });

        var table = $('#tblGrievance').DataTable({
            orderCellsTop: true,
            fixedHeader: true
        });
    });
</script>